#
# Copyright (c) 2003-2010 Linuxant inc.
#
# NOTE: The use and distribution of this software is governed by the terms in
# the file LICENSE, which is included in the package. You must read this and
# agree to these terms before using or distributing this software.
#

%if "%{_target_distro}" == "custom"
%define _target_kernel %(eval uname -r)
%endif

# set _target_kernel to generic if it wasn't defined on the command-line
%if %{expand:%{?_target_kernel:0}%{!?_target_kernel:1}}
%define _target_kernel generic
%endif

%if "%{_target_kernel}" == "generic"
%define ver      2.50
%define rel      1
%define automrecomp 1
%else
%define ver      2.50_k%(eval echo %{_target_kernel} | sed 's/-/_/g')
%define rel      1%{_target_distro}
%define automrecomp 0
%endif

%define dldrdesc    Linuxant DriverLoader for Wireless LAN devices
%define dldrname    driverloader
%define dldrabbr    dldr

# Note that this is NOT a relocatable package

%define dldretcdir /etc/driverloader
%define dldrlibdir /usr/lib/driverloader
%define dldrvardir /var/lib/driverloader

# Even though newer versions of RPM provide definitions for these,
# we must still accomodate the older ones
%define prefix   /usr
%define etcdir   /etc
%define libdir   %{prefix}/lib
%define sbindir  %{prefix}/sbin
%define bindir   %{prefix}/bin

Summary:   %{dldrdesc}
Name:      %{dldrname}
ExclusiveOS: Linux
%if "%{_target_kernel}" == "generic"
ExclusiveArch: athlon i686 i586 i486 i386 x86_64
%else
%if "%{_target_distro}" != "custom"
ExclusiveArch: %{_target_cpu}
%endif
%endif
Version:   %ver
Release:   %rel
Vendor:	   Linuxant
License:   Copyright (c) 2003-2010 Linuxant inc. All rights reserved.
Group:     System Environment/Kernel
Source:    %{dldrname}-2.50.tar.gz
URL:       http://www.linuxant.com/
BuildRoot: %{_tmppath}/%{dldrname}-%{PACKAGE_VERSION}-root
Packager:  Linuxant
Requires:  wireless-tools
%if %{automrecomp}
#Requires:  kernel-source
Requires:  gcc
%endif
Conflicts: bcmwl5driverloader
%if "%{dldrname}" != "driverloader"
Provides:  driverloader
%endif
Autoreq:   0

%description
%{dldrdesc}

Copyright (c) 2003-2010 Linuxant inc.

1.   Permitted use. Redistribution and use in source and binary forms,
without modification, are only permitted under the terms set forth herein.

2.   Disclaimer of Warranties. LINUXANT, ITS SUPPLIERS, AND OTHER CONTRIBUTORS
MAKE NO REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
LINUXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD
TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.

This software has not been formally tested, and there is no guarantee that
it is free of errors including, but not limited to, bugs, defects,
interrupted operation, or unexpected results. Any use of this software is
at user's own risk.

3.   No Liability.

(a) Linuxant, its suppliers, or contributors shall not be responsible for
any loss or damage to users, customers, or any third parties for any reason
whatsoever, and LINUXANT, ITS SUPPLIERS OR CONTRIBUTORS SHALL NOT BE LIABLE
FOR ANY ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR
CONSEQUENTIAL (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
OF SUCH DAMAGE.

(b) User agrees to hold Linuxant, its suppliers, and contributors harmless
from any liability, loss, cost, damage or expense, including attorney's fees,
as a result of any claims which may be made by any person, including
but not limited to User, its agents and employees, its customers, or
any third parties that arise out of or result from the manufacture,
delivery, actual or alleged ownership, performance, use, operation
or possession of the software furnished hereunder, whether such claims
are based on negligence, breach of contract, absolute liability or any
other legal theory.

4.   Notices. User hereby agrees not to remove, alter or destroy any
copyright, trademark, credits, other proprietary notices or confidential
legends placed upon, contained within or associated with the Software,
and shall include all such unaltered copyright, trademark, credits,
other proprietary notices or confidential legends on or in every copy of
the Software.

5.   Reverse-engineering. User hereby agrees not to reverse engineer,
decompile, or disassemble the portions of this software provided solely
in object form, nor attempt in any manner to obtain their source-code.

6.   Redistribution. Redistribution of this software is only permitted
for exact copies (without modification) of versions explicitly marked
and officially released by Linuxant with the word "free" in their name.
Redistribution or disclosure of other versions, derivatives or license key
information is expressly prohibited without explicit written approval signed
by an authorized Linuxant officer.

7.   Performance. Actual speeds vary and are often less than the maximum
possible.


%prep
%setup -q -n %{dldrname}-2.50

%build

make --quiet --no-print-directory all

%if "%{_target_kernel}" == "generic"

%else

MODS_DIR=binaries/linux-%{_target_kernel}
UNAMER=`uname -r`

# Figure out if we should add -SMP at the end of DLDR_MODS_DIR. We should only add it if the
# kernel was compiled with SMP and the word SMP doesn't appear in the kernel version. This
# is expected by driverloaderconfig.
case "%{_target_kernel}" in
*[Ss][Mm][Pp]*)
	SMPSUFFIX=""
	;;
*)
	SMPSUFFIX="-SMP"
	;;
esac

case "%{_target_distro}" in
rh | fdr | fs)
	CONFIGFILE="%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel}.%{_target_cpu}/.config"
	;;
custom)
	CONFIGFILE="/lib/modules/${UNAMER}/build/.config"
	;;
*)
	CONFIGFILE="%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel}/.config"
	;;
esac

if [ -e "${CONFIGFILE}" ] && grep -q '^CONFIG_SMP=y$' "${CONFIGFILE}"; then
	MODS_DIR="${MODS_DIR}${SMPSUFFIX}"
fi

%if "%{_target_distro}" == "rh"
(
	if cd modules; then
		case "%{_target_kernel}" in
		*.[Ee][Ll]*)
			make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel}.%{_target_cpu} DLDR_DISTRO_CFLAGS="-D__MODULE_KERNEL_%{_target_cpu}=1" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
			;;
		*)
			make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_DISTRO_CFLAGS="-D__BOOT_KERNEL_H_ -D__BOOT_KERNEL_ENTERPRISE=0 -D__BOOT_KERNEL_SMP=0 -D__BOOT_KERNEL_UP=1 -D__MODULE_KERNEL_%{_target_cpu}=1" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
			;;
		esac
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "fdr"
(
	if cd modules; then
		case "%{_target_kernel}" in
		2.4*)
			make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_DISTRO_CFLAGS="-D__BOOT_KERNEL_H_ -D__BOOT_KERNEL_ENTERPRISE=0 -D__BOOT_KERNEL_SMP=0 -D__BOOT_KERNEL_UP=1 -D__MODULE_KERNEL_%{_target_cpu}=1" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
			;;
		*)
			make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel}.%{_target_cpu} DLDR_DISTRO_CFLAGS="" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
			;;
		esac
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "fs"
(
	if cd modules; then
		case "%{_target_kernel}" in
		2.4*)
			make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_DISTRO_CFLAGS="-D__BOOT_KERNEL_H_ -D__BOOT_KERNEL_ENTERPRISE=0 -D__BOOT_KERNEL_SMP=0 -D__BOOT_KERNEL_UP=1 -D__MODULE_KERNEL_%{_target_cpu}=1" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
			;;
		*)
			make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel}.%{_target_cpu} DLDR_DISTRO_CFLAGS="" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
			;;
		esac
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "mdk"
(
	if cd modules; then
		make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_DISTRO_CFLAGS="-D__BOOT_KERNEL_H_ -D__BOOT_KERNEL_ENTERPRISE=0 -D__BOOT_KERNEL_SMP=0 -D__BOOT_KERNEL_UP=1 -D__MODULE_KERNEL_%{_target_cpu}=1" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "mdv"
(
	if cd modules; then
		make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DISTRO_CFLAGS="" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "suse"
(
	if cd modules; then
		make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "jds"
(
	if cd modules; then
		make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "turbo"
(
	if cd modules; then
		make --quiet --no-print-directory DLDR_KERNELSRC=%{_distro_kernels}/%{_target_distro}/linux-%{_target_kernel} DLDR_DISTRO_CFLAGS="-D__BOOT_KERNEL_H_ -D__BOOT_KERNEL_SMP=0 -D__BOOT_KERNEL_SMP64G=0 -D__BOOT_KERNEL_UP=1 -D__BOOT_KERNEL_BOOT=0 -D__MODULE_KERNEL_%{_target_cpu}=1" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
	fi
) || exit $?
%endif

%if "%{_target_distro}" == "custom"
(
	if cd modules; then
		make --quiet --no-print-directory DLDR_KERNELSRC=/lib/modules/${UNAMER}/build DISTRO_CFLAGS="" DLDR_MODS_DIR="${MODS_DIR}" clean all modules_install || exit $?
	fi
) || exit $?
%endif

%endif

%install
rm -rf $RPM_BUILD_ROOT

make --quiet --no-print-directory all
make --quiet --no-print-directory ROOT=$RPM_BUILD_ROOT install

echo "RPM" > "$RPM_BUILD_ROOT/%{dldretcdir}/static/package"

%if "%{_target_kernel}" != "generic"
find "$RPM_BUILD_ROOT/%{dldrlibdir}" \( -name '*.[chO]' -o -name 'Makefile' -o -name '*.mak' -o -name '*.sh' \) -exec rm -f {} \;
%endif

%if ! %{automrecomp}
rm -f $RPM_BUILD_ROOT/%{dldrlibdir}/rcbuild%{dldrabbr}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(0555, root, root, 755)

%{sbindir}/%{dldrabbr}config
%{sbindir}/%{dldrabbr}stop
%{sbindir}/%{dldrabbr}infparse
%{sbindir}/%{dldrabbr}modconflicts
%{dldrlibdir}/rc%{dldrabbr}
%if %{automrecomp}
%{dldrlibdir}/rcbuild%{dldrabbr}
%endif
# convenience symlinks to sbin:
%{bindir}/%{dldrabbr}config
%{bindir}/%{dldrabbr}stop
%{bindir}/%{dldrabbr}infparse
%{bindir}/%{dldrabbr}modconflicts

%dir %{dldrlibdir}
%{dldrlibdir}/webconfd

%dir %{dldrlibdir}/webconfdocs
%dir %{dldrlibdir}/webconfdocs/cgi-bin
%{dldrlibdir}/webconfdocs/cgi-bin/*.cgi

%defattr(0444, root, root, 755)
%dir %{dldretcdir}
%dir %{dldretcdir}/config
%dir %{dldretcdir}/static
%dir %{dldretcdir}/log
%{dldretcdir}/static/package
%{dldretcdir}/static/webconf
%{dldrlibdir}/webconfd.conf
%{dldrlibdir}/webconfdocs/.htaccess
%{dldrlibdir}/webconfdocs/*.*html
%{dldrlibdir}/webconfdocs/includes
%{dldrlibdir}/webconfdocs/images
%{dldrlibdir}/webconfdocs/cgi-bin/.htaccess
%{dldrlibdir}/CGI.pm
%{dldrlibdir}/CGI/*.pm
%{dldrlibdir}/dldrparser.pm
%doc %{dldrlibdir}/LICENSE
%dir %{dldrlibdir}/modules
%dir %{dldrlibdir}/modules/GPL
%doc %{dldrlibdir}/modules/GPL/COPYING
%{dldrlibdir}/modules/binaries
%{dldrvardir}

%if %{automrecomp}
%config %{dldrlibdir}/config.mak
%{dldrlibdir}/modules/imported
%attr(755, root, root) %{dldrlibdir}/modules/*.sh
%{dldrlibdir}/modules/Makefile
%{dldrlibdir}/modules/*.c
%{dldrlibdir}/modules/GPL/*.c
%{dldrlibdir}/modules/GPL/*.h
%dir %{dldrlibdir}/modules/include
%{dldrlibdir}/modules/include/*.h
%endif

%doc BUGS CHANGES CREDITS FAQ INSTALL LICENSE README

%pre
if [ "$1" = 1 ]; then
	if [ -e "%{dldretcdir}/config" -a ! -e "/etc/driverloader/config/preserve" ]; then
		echo "Removing old %{dldretcdir}/config"
		rm -rf "%{dldretcdir}/config"
	fi
	if [ -e "%{dldrlibdir}" ]; then
		echo "Removing old %{dldrlibdir}"
		rm -rf "%{dldrlibdir}"
	fi
fi
exit 0

%post

#%if ! %{automrecomp}
DLDR_AUTOCONFIG=true
#%endif

DLDRHELPERACTION=stop %{dldrlibdir}/webconfd
%{sbindir}/%{dldrabbr}stop

if [ -n "${DLDR_AUTOCONFIG}" -a -z "${DLDR_NOAUTOCONFIG}" ]; then
	%{sbindir}/%{dldrabbr}config --auto
	exit $?
else
	echo "To complete the installation and configuration of your device,"
	echo "please run \"%{dldrabbr}config\" (or \"%{sbindir}/%{dldrabbr}config\")"
	exit 0
fi

%preun
%{sbindir}/%{dldrabbr}stop
DLDRHELPERACTION=stop %{dldrlibdir}/webconfd
if [ "$1" = 0 ]; then

	if [ -z "${DLDR_NOAUTOCONFIG}" ]; then
		%{sbindir}/%{dldrabbr}config --remove
	fi
else
	exit 0
fi

# This must be last since the file CHANGES is automatically appended
%changelog

* Mon May 10 2010 -
	- Released driverloader-2.50.

* Mon May 10 2010 -
	- Improved compatibility with newer kernels and distributions.

* Wed Oct 21 2009 -
	- Released driverloader-2.49.

* Wed Oct 21 2009 -
	- Improved compatibility with newer kernels and distributions.

* Thu Apr 23 2009 -
	- Released driverloader-2.48.

* Thu Apr 23 2009 -
	- Improved compatibility with newer kernels and distributions.

* Wed Mar 04 2009 -
	- Released driverloader-2.47.

* Wed Mar 04 2009 -
	- Improved compatibility with newer kernels and distributions.

* Thu Dec 18 2008 -
	- Released driverloader-2.46.

* Thu Dec 18 2008 -
	- Improved compatibility with newer kernels and distributions.

* Thu Nov 20 2008 -
	- Released driverloader-2.45.

* Thu Nov 20 2008 -
	- Improved compatibility with newer kernels and distributions.

* Wed Sep 10 2008 -
	- Released driverloader-2.44.

* Wed Sep 10 2008 -
	- Improved compatibility with newer kernels and distributions.

* Mon Jul 14 2008 -
	- Released driverloader-2.43.

* Mon Jul 14 2008 -
	- Improved compatibility with newer kernels and distributions.
	- Improved USB support.

* Fri Jun 20 2008 -
	- Released driverloader-2.42.

* Fri Jun 20 2008 -
	- Improved compatibility with newer kernels and distributions.

* Thu May 08 2008 -
	- Released driverloader-2.41.

* Tue May 06 2008 -
	- SIOCGIWAPLIST is now deprecated.
	- Added workaround for newer kernels where do_softirq() is no longer
	exported.
	- Improved netndis_ioctl_get_scan() to support buffers larger than
	IW_SCAN_MAX_DATA.

* Wed Mar 19 2008 -
	- Improved WPA support.
	- Improved compatibility with newer kernels and distributions.

* Thu Feb 14 2008 -
	- Released driverloader-2.40.

* Tue Nov 13 2007 -
	- Improved compatibility with newer kernels and distributions.
	- Added preliminary support for Marvell TOPDOG 802.11n/g/b chipset (EXPERIMENTAL).
	- Added new USB device ID for Marvell TOPDOG 802.11n WLAN Client Adaptors.
	- Added new USB device ID for Belkin N1 Wireless USB Network Adapter.
	- Added new USB device ID for Linksys Wireless-N USB Network Adapter.
	- Added new USB device ID for NETGEAR WN121T Wireless USB 2.0 Adapter.
	- Added new USB device ID for NETGEAR RangeMax NEXT Wireless-N USB Adapter WN111.
	- Added new USB device ID for D-Link RangeBooster N USB Adapter.
	- Added new USB device ID for ASUS 802.11n Network Adapter.
	- Added new USB device ID for ASUS 802.11n Network Adapter.
	- Added new USB device ID for D-Link Wireless N USB Adapter DWA-130.

* Fri Oct 19 2007 -
	- Released driverloader-2.39.

* Fri Oct 19 2007 -
	- Improved compatibility with newer kernels and distributions.

* Fri Jun 08 2007 -
	- Released driverloader-2.38.

* Fri Jun 08 2007 -
	- Improved compatibility with newer kernels and distributions.
	- Added net5211 as alternative name for ar5211 driver to enable
	workarounds.

* Thu May 10 2007 -
	- Released driverloader-2.37.

* Thu May 10 2007 -
	- Improved compatibility with newer kernels and distributions.

* Tue Jan 30 2007 -
	- Released driverloader-2.36.

* Tue Jan 30 2007 -
	- Improved compatibility with newer kernels and distributions.
	- Improved handling of interface name changes (by udev or ifrename).
	- Added new USB device ID for TL-WN320G 1.0 USB WLAN Adapter.
	- Added new USB device ID for KN-W510U 1.0 USB Wireless LAN Adapter.
	- Added new USB device ID for EH103 Wireless G USB Adapter.
	- Added new USB device ID for SiS163 Generic Adapter.

* Thu Nov 09 2006 -
	- Released driverloader-2.35.

* Thu Nov 09 2006 -
	- Improved compatibility with various NDIS drivers.
	- Improved compatibility with newer kernels and distributions.

* Thu May 18 2006 -
	- Released driverloader-2.34.

* Thu May 18 2006 -
	- Improved USB support.
	- Improved preemption support.
	- Improved compatibility with various NDIS drivers.
	- Improved compatibility with newer kernels and distributions.
	- Improved WIRELESS_EXT support for NetworkManager.

* Thu Mar 30 2006 -
	- Released driverloader-2.33.

* Thu Mar 30 2006 -
	- Fixed dldrconfig bug.

* Wed Mar 29 2006 -
	- Released driverloader-2.32.

* Wed Mar 29 2006 -
	- Improved compatibility with newer kernels and distributions.
	- Added memory allocation workaround for csco21 driver.
	- Added workaround for 2.6.15-1.2054_FC5 kernel bug.

* Wed Feb 15 2006 -
	- Released driverloader-2.31.

* Wed Feb 15 2006 -
	- Added WPA2 support.
	- Improved compatibility with newer kernels and distributions.
	- Improved compatibility with newer 2200BG driver.

* Fri Oct 21 2005 -
	- Released driverloader-2.30.

* Fri Oct 21 2005 -
	- Improved compatibility with newer kernels and distributions.

* Mon Sep 21 2005 -
	- Released driverloader-2.29.

* Mon Sep 19 2005 -
	- Added dldrconfig --patch option to facilitate installation of patches.
	- Added new USB device ID for Netgear MA111v2 adapter.
	- Added support for txpower.
	- Improved Debian and Gentoo compatibility.
	- Improved compatibility with newer kernels.
	- Fixed x86_64 Broadcom driver issue.

* Thu Jun 23 2005 -
	- Released driverloader-2.28.

* Mon Jun 20 2005 -
	- Added USB device ID for new Netgear WG111 adapter.
	- Added support for Fedora Core 4.
	- Added support for pre-built debian binary packages.
	- Added support for Freedows.
	- Added detection of Ubuntu, Knoppix, Mepis and Freedows distributions.
	- Improved kernel header checks.
	- Improved behavior with CONFIG_PREEMPT.

* Tue Apr 12 2005 -
	- Released driverloader-2.27.

* Tue Apr 12 2005 -
	- Added warnings to dldrconfig when required kernel options are
	unset or unsupported ones are set.
	- Added USB device IDs for T-Com Sinus 111 data.
	- Added USB device IDs for Dell Wireless 1450 card.
	- Added USB device IDs for D-Link DWL-G120(rev.C) and DWL-G122(rev.A2).
	- Improved compatibility with gcc 4.0, Fedora Core 4, and 2.6.12-rc kernels.
	- Added workaround to INF parser for Netgear WG111T adapter.
	- Added workaround to start pcmcia services upon module load.

* Tue Mar 08 2005 -
	- Released driverloader-2.26.

* Tue Mar 08 2005 -
	- Added support for devices based on Atheros USB chipset, such as
	the D-Link DWL-G132.
	- Implemented workaround for large memory allocations by new Atheros
	PCI drivers at non-passive IRQLs.
	- Modified OsGetProcessorId() to disable preemption.
	- Added automatic mounting of /sys in dldrconfig if sysfs supported.

* Thu Mar 03 2005 -
	- Released driverloader-2.25.

* Thu Mar 03 2005 -
	- Added several USB IDs for devices based on the SiS 163 chipset.
	- Added USB ID for Inventel UR054G.
	- Added support for 2.6.11 kernels.
	- Improved Debian and Gentoo compatibility.
	- Improved INF parser.

* Tue Jan 18 2005 -
	- Released driverloader-2.24.

* Tue Jan 18 2005 -
	- Added PAGE_KERNEL_EXECUTABLE as alternate name for PAGE_KERNEL_EXEC
	to address NX-bit related issues under some kernels.
	- Fixed sporadic oops upon driver unload.

* Tue Jan 04 2005 -
	- Released driverloader-2.23.

* Tue Jan 04 2005 -
	- Further improved Broadcom compatibility.

* Fri Dec 31 2004 -
	- Released driverloader-2.22.

* Fri Dec 31 2004 -
	- Improved INF parser for sis162u.inf.
	- Added several USB IDs for devices based on the SiS 162 chipset.
	- Added workaround for portability issue.

* Thu Dec 30 2004 -
	- Released driverloader-2.21.

* Thu Dec 30 2004 -
	- Fixed AMD64 issue.
	- Improved compatibility with Broadcom chipsets.

* Wed Dec 29 2004 -
	- Released driverloader-2.20.

* Tue Dec 28 2004 -
	- Added support for x86_64 (a.k.a. AMD64/EM64T/x64) architecture,
	using 64-bit NDIS drivers.
	- Added USB device ID for Linksys WUSB54Gv2.
	- Fixed 2.6.10 irq_exit() and __usb_reset_device issues.
	- Various compatibility improvements.

* Thu Dec 09 2004 -
	- Released driverloader-2.11.

* Thu Dec 09 2004 -
	- Added USB device IDs for T-Com Sinus 154 data II.
	- Added USB device IDs for Netgear MA111.
	- Added USB device IDs for U.S. Robotics USR5422.
	- Added support for new single-arg pci_{save,restore}_state() in 2.6.10.
	- Improved module configuration.
	- Stop webconfd upon system shutdown (dldrconfig --rcstop).

* Mon Nov 15 2004 -
	- Released driverloader-2.10.

* Mon Nov 15 2004 -
	- Clarified messages about conflicting modules and web authentication.
	- Improved wireless stats reporting in scans for NetworkManager.
	- Added SET_NETDEV_DEV() calls to dldr{pci,usb}.c.
	- Added DHCLIENT_MODIFY_RESOLV_CONF=yes and DHCLIENT_SET_DEFAULT_ROUTE=yes
	to initial ifcfg on SuSE.

* Thu Oct 21 2004 -
	- Released driverloader-2.09.

* Thu Oct 14 2004 -
	- Added pre-built binary packages for Sun JDS Release 2.
	- Removed inline attribute for osusb.c:ChangeUrbListEntryState().
	- Add WIRELESS=yes to ifcfg on SuSE < 9 and JDS.
	- Modified scripts to use /var/run/ for temp files.
	- Modified dldrconfig to add alias even if one to off exists.

* Wed Oct 13 2004 -
	- Improved enhanced speed mode with TI drivers.
	- Improved wireless stats reporting for GNOME Wireless Link Monitor applet.

* Mon Oct 04 2004 -
	- Released driverloader-2.08.

* Mon Oct 04 2004 -
	- Fixed timing issue with license status.

* Mon Sep 27 2004 -
	- Released driverloader-2.07.

* Thu Sep 23 2004 -
	- Added missing functions for Intel 2225BG driver.

* Thu Sep 16 2004 -
	- Fixed cosmetic INF parsing issue with gplus.inf.
	- Added USB device IDs for WM168 and D-Link DWL-122.
	- Changed module install location from /lib/modules/`uname -r`/misc
	to /lib/modules/`uname -r`/extra.

* Fri Sep 10 2004 -
	- Centralized .in file generation.
	- Added dldrconfig --uninstall option.
	- Added hooks to facilitate WPA use.
	- Added support for /etc/runlevels on Gentoo.
	- Added additional checks to prevent generation of empty device
	configuration files by webconf.
	- Removed license key requirement for devices based on
	Texas Instruments ACX100 and ACX111 chipsets.

* Tue Aug 27 2004 -
	- Released driverloader-2.06.

* Tue Aug 27 2004 -
	- Changed rc startup script to run in two phases so that
	driverloader eth* interfaces appear after native devices.
	- Added workaround for syntax bug in WUSB54G.INF version 1.0.5.0.

* Tue Aug 24 2004 -
	- Released driverloader-2.05.

* Mon Aug 23 2004 -
	- Improved error propagation.
	- Improved module conf handling.
	- Added support for /etc/modprobe.d.
	- Adjusted rc startup script priority.

* Sat Aug 14 2004 -
	- Released driverloader-2.04.

* Sat Aug 14 2004 -
	- Added use of PCI class information for device matching.
	- Improved handling of surprise USB device removal.

* Wed Aug 11 2004 -
	- Released driverloader-2.03.

* Wed Aug 11 2004 -
	- Always store infcache IDs in uppercase.

* Tue Aug 10 2004 -
	- Released driverloader-2.02.

* Tue Aug 10 2004 -
	- Further improved infcache matching of partial PCI IDs.

* Tue Aug 10 2004 -
	- Released driverloader-2.01.

* Tue Aug 10 2004 -
	- Fixed infcache matching of partial PCI IDs.
	- Corrected workaround for waitpid() issue under kernels >= 2.6.8.

* Tue Aug 10 2004 -
	- Released driverloader-2.00.

* Mon Aug 09 2004 -
	- Added USB support for Conexant PRISM chipsets.
	(Successfully tested with D-Link DWL-G120 and Linksys WUSB54G)
	- Added USB support for Broadcom BCM94333U chipsets.
	(Successfully tested with U.S. Robotics USR5450 802.11g adapter)
	- Added USB support for ZyDAS ZD1211 chipset.
	(Successfully tested with Blitzz BWU723 802.11g adapter)
	- Added automatic detection and disabling of conflicting modules.
	- Added workaround for waitpid() issue under kernels >= 2.6.8.
	- Improved general stability and compatibility.
	- Improved wireless stats reporting.
	- Workarounds are now set using dldrconfig instead of module options.
	- Added Options section in webconf.

* Mon Aug 02 2004 -
	- Released driverloader-1.77.

* Mon Aug 02 2004 -
	- Fixed minor timer init issue.
	- Fixed MiniportShutdown call.
	- Improved string handling.
	- Silenced NdisInterlocked* messages.

* Fri Jul 23 2004 -
	- Released driverloader-1.76.

* Fri Jul 23 2004 -
	- Removed complete_all() replacement to fix build problem with newer
	versions of gcc and some kernel configurations.
	- Improved page-fault handling.
	- Disabled stack workaround if CONFIG_X86_SWITCH_PAGETABLES is set or
	stackworkaround=1 option not explicitly set (for now).
	- Mentioned large stack requirements of Intel Centrino drivers in BUGS.

* Wed Jul 21 2004 -
	- Released driverloader-1.75.

* Tue Jul 20 2004 -
	- Fixed stack-related stability issues.
	- Implemented missing functions for new Intel drivers.

* Tue Jul 20 2004 -
	- Released driverloader-1.74.

* Mon Jul 19 2004 -
	- Fixed WPA issue with Intel 2200BG driver.
	- Fixed WEP issue with some TI ACX111 drivers.
	- Fixed potential deadlock upon driver initialization failure.
	- Added nostackworkaround module parameter to disable stack workaround if
	necessary.
	- Improved module startup.

* Mon Jul 12 2004 -
	- Enabled stack workaround for Intel 2200BG.

* Mon Jul 12 2004 -
	- Released driverloader-1.73.

* Fri Jul 09 2004 -
	- Added workarounds for encryption issues with newer TI ACX111 drivers.
	- Added printk in netndis.c to report license status problems.

* Tue Jul 06 2004 -
	- Fixed build issues with SuSE 2.6.5-7.95 kernel upgrade.
	- Fixed OSIRQL_HIGH bug.

* Fri Jun 18 2004 -
	- Released driverloader-1.72.

* Fri Jun 18 2004 -
	- Added support for the latest SuSE 9.1 kernel update (2.6.5-7.75).
	- Improved Interlocked functions.
	- Fixed OsEventWait().
	- Fixed Mdl issue.

* Fri May 21 2004 -
	- Released driverloader-1.71.

* Wed May 19 2004 -
	- Replaced coldplug workaround with dynamic PCI Device IDs, to resolve
	remaining SuSE 9.1 issues.
	- Fixed bug that prevented web configurator logins if root password
	contained a colon.

* Tue May 18 2004 -
	- Removed __devinitdata from pci_device_id table.
	- Added rc startup script to automatically build kernel module
	if necessary (and feasible, only with generic packages) and load it.
	- Improved testing for encryption capabilities.

* Mon May 17 2004 -
	- Support pre-built binary packages for Fedora Core 2 kernels.

* Sun May 16 2004 -
	- Released driverloader-1.70.

* Sun May 16 2004 -
	- Improved power-management and suspend/resume handling.
	(Thanks to Nickolai Zeldovich)
	- Added workaround for lack of dump_stack() and vmalloc_to_page()
	on older kernels.

* Thu May 13 2004 -
	- Added check to ensure dldrconfig is executed as root.

* Tue May 11 2004 -
	- Released driverloader-1.69.

* Tue May 11 2004 -
	- Added important workaround for coldplug issue on SuSE 9.1 that
	prevented USB and other modules to load.
	- Improved WEP key handling and compatibility with 2200BG driver.
	- Introduced OsKernelConfig mechanism.
	- Report influential kernel parms upon module load to aid diagnostics.
	- Various other small improvements.

* Sun May 09 2004 -
	- Released driverloader-1.68.

* Sun May 09 2004 -
	- Fixed bug causing incomplete scan lists under specific circumstances.
	- Fixed minor cosmetic issues.

* Sat May 08 2004 -
	- Released driverloader-1.67.

* Sat May 08 2004 -
	- Fixed cause of "ndisQueryInformation: 802_11_CONFIGURATION st=FAILURE"
	messages with some drivers.
	- Fixed regParm issue causing crashes on SuSE 9.1.

* Wed Apr 21 2004 -
	- Released driverloader-1.66.

* Mon Apr 19 2004 -
	- Added support for other Intel adapters.

* Sun Apr 18 2004 -
	- Added KBUILD_EXTMOD support.
	- Added check for minimum kernel stack requirements.

* Tue Apr 06 2004 -
	- Fixed various issues with Intel 2200BG driver.
	- Fixed unicode string handling problem.
	- Ajusted NdisReadPciSlotInformation message levels.

* Mon Mar 29 2004 -
	- Released driverloader-1.65.

* Fri Mar 26 2004 -
	- Support pre-built binary packages for 2.6 kernels.
	- Support SuSE's new-style kernel config and SetupKernelSource.sh on
	TurboLinux.

* Sun Mar 21 2004 -
	- Tweaked for Marvell chipsets and D-Link AirPlus G DWL-G630 cards.

* Sun Feb 29 2004 -
	- Released driverloader-1.64.

* Sun Feb 29 2004 -
	- Fixed rare potential crash upon netdev initialization error.
	- Fixed problem with HIGHMEM64G / Fedora SMP kernels.
	- Fixed additional issues affecting 2.6 kernels

* Thu Feb 26 2004 -
	- Fixed support for 256-bit WEP encryption on some cards.
	- Added functions for Marvell drivers.

* Thu Feb 19 2004 -
	- Released driverloader-1.63.

* Wed Feb 18 2004 -
	- Fixed spinlock issues.
	- Improved unsupported OID handling.
	- Improved frequency setting.
	- Improved WEP key management.

* Wed Feb 11 2004 -
	- Released driverloader-1.62.

* Mon Feb 09 2004 -
	- Changed default dldrconfig interpreter from /bin/sh to /bin/bash.
	- Added missing functions for some Atheros driver variants.

* Sat Feb 07 2004 -
	- Released driverloader-1.61.

* Sat Feb 07 2004 -
	- Fixed INF parsing issue.

* Fri Feb 06 2004 -
	- Released driverloader-1.60.

* Fri Feb 06 2004 -
	- Added support for INPROCOMM chipsets and Linksys WMP11 V4 cards.
	- Added support for Intel PRO/Wireless 2200BG cards.
	- Added workaround for bug in RTL8180L driver causing crashes when
	unloading module.
	- Added support for 802.11a frequencies.
	- Improved channel switching in ad-hoc mode.

* Tue Feb 03 2004 -
	- Released driverloader-1.59.

* Mon Feb 02 2004 -
	- Added support for the CONFIG_DEBUG_SPINLOCK option, which is enabled
	by default in recent 2.6 RedHat/Fedora kernel packages.
	- Silenced benign call_usermodehelper() message.
	- Improved chances of surviving small stack overflows.

* Sat Jan 31 2004 -
	- Released driverloader-1.58.

* Sat Jan 31 2004 -
	- Fixed issue causing crash with Cisco Aironet drivers since 1.56.
	- Do not fetch statistics when disconnected.
	- Added missing functions.

* Sun Jan 25 2004 -
	- Released driverloader-1.57.

* Sun Jan 25 2004 -
	- Fixed various issues with INF parser and webconf, such as NetDevName
	problem which caused devices to reappear as ethX instead of wlanX on SuSE.
	- Fixed 802_11_ASSOCIATION_INFORMATION st=BUFFER_TOO_SHORT problem.

* Fri Jan 23 2004 -
	- Added missing function for TNETW1130 driver.

* Thu Jan 22 2004 -
	- Released driverloader-1.56.

* Thu Jan 22 2004 -
	- Added support for 256-bit WEP encryption.
	(Tested with US Robotics USR5450 802.11g Wireless Turbo Multi-Function
	Access Point and USR5410 802.11g Wireless Turbo PC Card)
	- Added "View Kernel Message Log" feature to web configurator.
	- Incorporated CGI.pm to faciliate installation on systems where it is
	missing.

* Mon Jan 19 2004 -
	- Released driverloader-1.55.

* Tue Jan 13 2004 -
	- Increased maximum multicast list size.
	- Increased internal work item table size for RTL8180L driver.
	- Fixed WEP issue affecting Cisco Aironet drivers.
	- Fixed awk issue on Slackware.

* Sun Dec 28 2003 -
	- Released driverloader-1.54.

* Sun Dec 28 2003 -
	- Added pre-built binary packages for the latest RedHat and Fedora
	kernel updates.
	- Added check for disabled kernel.modprobe (set to /bin/true by 2.4
	rc.sysinit script looking for /proc/ksyms instead of /proc/kallsyms).

* Tue Dec 23 2003 -
	- Released driverloader-1.53.

* Tue Dec 23 2003 -
	- Added functions for other 802.11a Atheros driver variants.
	- Check capabilities before enabling specific encryption modes.

* Mon Dec 15 2003 -
	- Released driverloader-1.52.

* Mon Dec 15 2003 -
	- Improved detection of driver capabilities.
	- Corrected encryption issues affecting older drivers.

* Mon Dec 15 2003 -
	- Released driverloader-1.51.

* Mon Dec 15 2003 -
	- Fixed NETNDIS_CFG_INIT issue.
	- Silenced benign error messages appearing with non-WPA capable drivers.

* Sun Dec 14 2003 -
	- Released driverloader-1.50.

* Wed Dec 10 2003 -
	- Added Wi-Fi Protected Access (WPA) support with AES or TKIP encryption.
	- Added link/scan status event reporting for wpa_supplicant.
	- Fixed frequency setting issues.
	- Silenced 802_11_DESIRED_RATES st=NOT_SUPPORTED/INVALID_OID messages.

* Fri Dec 05 2003 -
	- Released driverloader-1.49.

* Fri Dec 05 2003 -
	- Added support and pre-built binary packages for Fedora Core 1.
	- Added pre-built binary packages for the latest RedHat, Mandrake,
	and Turbolinux kernel updates.
	- Fixed filesystem unmounting issue after loading driver.
	- Fixed deprecated tail syntax in kernelcompiler.sh script.

* Thu Nov 27 2003 -
	- Released driverloader-1.48.

* Thu Nov 27 2003 -
	- Added functionality to support Intel PRO/Wireless 5000 (802.11a) cards.

* Tue Nov 25 2003 -
	- Released driverloader-1.47.

* Tue Nov 25 2003 -
	- Fixed build problems on RedHat Enterprise Linux.
	- Silenced some unnecessary diag messages.

* Mon Nov 24 2003 -
	- Released driverloader-1.46.

* Mon Nov 24 2003 -
	- Added missing functions for some Atheros and TI driver variants.
	- Added Turbolinux support.

* Fri Nov 21 2003 -
	- Released driverloader-1.45.

* Thu Nov 20 2003 -
	- Changed 127.1 to 127.0.0.1 since some browsers do not recognize
	the abbreviated IP address syntax.
	- Improved integration with SuSE's YaST.
	- Fixed INF issue with CopyFiles.

* Mon Nov 17 2003 -
	- Released driverloader-1.44.

* Mon Nov 17 2003 -
	- Added dldrconfig --webconf option to change the web configurator's
	listening address (now 127.1:18020 by default) or disable it completely.
	- Fixed INF parsing issue affecting Proxim/ORiNOCO 802.11abg driver.

* Sun Nov 16 2003 -
	- Released driverloader-1.43.

* Sun Nov 16 2003 -
	- Fixed issues affecting Realtek RTL8180L (Netgear MA521) and
	Intersil drivers.
	- WEP fine-tuning.

* Fri Nov 14 2003 -
	- Released driverloader-1.42.

* Fri Nov 14 2003 -
	- Fixed INF parsing issue which affected Intersil Driver for
	3COM OfficeConnect Wireless 11g Cards.
	- Fixed 64-bit arithmetic shift functions.
	- Added missing functions for some ACX100 drivers.

* Thu Nov 13 2003 -
	- Released driverloader-1.41.

* Thu Nov 13 2003 -
	- Improved timer, thread, and init/halt procedures.
	- Fixed subtle WEP issue causing "netndis_xmitcomplete_handler: err -5".
	- Fixed minor transmit issue with serialized drivers (Atheros).

* Wed Nov 12 2003 -
	- Released driverloader-1.40.

* Wed Nov 12 2003 -
	- Fixed irq synchronization problem.
	- Fixed packet flow suspension after temporary link interruption
	(such as when client leaves AP range and later comes back to reassociate).
	- Fixed multicast issues and re-enabled netndis_set_multicast_list().
	- dldrconfig --remove now deletes driverloader kernel module from all
	/lib/modules/*/misc directories (not just current one) but not the contents
	of /var/lib/driverloader/ so as to preserve drivers across upgrades.
	- Merged kcompat.h into oscompat.h and removed extraneous stuff.

* Wed Nov 12 2003 -
	- Released driverloader-1.39.

* Wed Nov 12 2003 -
	- Fixed issue with regParmUsed() causing crashes on kernels
	built without CONFIG_FRAME_POINTER.
	- Implemented legacy functions Hal[Get|Set]BusData[ByOffset]()
	still needed by some Atheros drivers.
	- Documented that newer versions of the bcmwl5.sys Broadcom driver
	solve WEP problems sometimes seen with BCM4301 used in cards like
	the Linksys WMP11 2.7, Dell TrueMobile 1180 MiniPCI and others.

* Mon Nov 10 2003 -
	- Released driverloader-1.38.

* Mon Nov 10 2003 -
	- Fixed minor issue with NdisMQueryAdapterResources().
	- Added obsolete NdisMPciAssignResources(), which some drivers still need.
	- Fixed bug causing init process to consume 100% of CPU under 2.6.0-test.
	- Silenced "probe of [device] failed with error -5" messages.

* Sun Nov 09 2003 -
	- Released driverloader-1.37.

* Sun Nov 09 2003 -
	- Added workaround for INFs in unicode format (such as the ones supplied
	with RavoTek W54-CB and W54-PCI cards).

* Sun Nov 09 2003 -
	- Released driverloader-1.36.

* Sun Nov 09 2003 -
	- Updated FAQ.

* Sat Nov 08 2003 -
	- Released driverloader-1.35.

* Sat Nov 08 2003 -
	- Fixed some issues affecting 2.6.0-test kernels
	- Revised thread concept.
	- Various small improvements.

* Fri Nov 07 2003 -
	- Released driverloader-1.34.

* Fri Nov 07 2003 -
	- Improved shutdown procedure.

* Fri Nov 07 2003 -
	- Released driverloader-1.33.

* Fri Nov 07 2003 -
	- Revised locking scheme to avoid EBUSY.
	- Tweaked module configuration in dldrconfig.
	- Fixed "cannot schedule task" during shutdown.
	- Temporarily disabled netndis_set_multicast_list() until some issues
	are resolved.

* Fri Nov 07 2003 -
	- Released driverloader-1.32.

* Fri Nov 07 2003 -
	- Eliminated cause of remaining mmu_cr4_features cases.

* Fri Nov 07 2003 -
	- Released driverloader-1.31.

* Fri Nov 07 2003 -
	- Added workaround for mmu_cr4_features problem with some kernels.

* Fri Nov 07 2003 -
	- Released driverloader-1.30.

* Fri Nov 07 2003 -
	- Major stability improvements.
	- Fixed free_netdev() issue with Fedora kernel.

* Mon Nov 03 2003 -
	- Released driverloader-1.25.

* Mon Nov 03 2003 -
	- Made INF matching always case-insensitive.
	- "iwconfig netif key [key] open|restricted" now sets authentication mode.
	- "iwconfig netif rate <speed>" now sets desired speed if supported.
	- Changed default netif name prefix from "eth" to "wlan" under SuSE 9.0.
	- Revamped device selection, added --netdevname option, and removed unused
	code in dldrconfig.
	- Fixed more WEP issues.
	- Enabled NDIS error code decoding.
	- Added missing functions for some Atheros driver variants.
	- Successfully tested with Cisco Aironet 352 MiniPCI card in
	IBM Thinkpad T40 notebook after tweaking NdisMRegisterIoPortRange()
	and installing version 3.4.9 of the Windows driver.
	(Thanks to Nickolai Zeldovich)

* Sat Nov 01 2003 -
	- Released driverloader-1.24.

* Sat Nov 01 2003 -
	- Fixed NdisWrapGetBSSIDList() bug affecting iwlist accesspoints/scanning.
	- Fixed WEP issue with Intersil Prism GT driver.
	- Added support for Texas Instruments ACX100-based Adapters.
	(PCI ID 104C:8400 and others)
	- Added some missing functions for Cisco Aironet (802.11a/b) drivers.
	- Implemented proper support for NdisWriteConfiguration().
	- Improved module reference count management and time reporting.

* Thu Oct 30 2003 -
	- Released driverloader-1.23.

* Thu Oct 30 2003 -
	- Fixed INF matching issue.
	- Added [Refresh] to update page contents without reloading in webconf.
	- Implemented workaround for "OsForkWait: Waiting for pid failed (errno=1)"
	problem on SuSE 9.0.
	- Modified config script to put module aliases in
	/etc/{modules,modprobe}.conf.local if present (SuSE 9.0).
	Thanks to Johannes Endres for suggesting this.

* Thu Oct 30 2003 -
	- Released driverloader-1.22.

* Thu Oct 30 2003 -
	- Fixed locking issue that could cause occasional system hangs.
	- Fixed minor INF parsing bug.

* Wed Oct 29 2003 -
	- Implemented required functionality to support TI ACX100 drivers.

* Tue Oct 28 2003 -
	- Solved "HOSWORKSTORAGE too small" problem seen under 2.6.0-test kernels.

* Tue Oct 28 2003 -
	- Released driverloader-1.21.

* Tue Oct 28 2003 -
	- Implemented required functionality to support Realtek RTL8180L
	chipset (Tested with D-Link DWL-510 card, thanks to Adam Sjgren).
	- Corrected various INF parsing issues.
	- Added check for CONFIG_DEBUG_SPINLOCK, which we cannot support
	since it makes spinlocks and other structures containing them too large
	to fit in NDIS objects.
	- Added perl syntax check to dldrconfig to detect missing perl-CGI
	modules.

* Sun Oct 26 2003 -
	- Released driverloader-1.20.

* Sun Oct 26 2003 -
	- Reorganized package to reflect new multiple driver capabilities.
	- Fixed issues related to SuSE 9.0 and licensing.
	- Added support for Intel(R) PRO/Wireless LAN (Centrino) Adapters
	(PCI ID 8086:1043 and others)
	- Added support for Intersil Prism GT/Duette/Indigo-based Adapters
	(PCI ID 1260:3890 and others)
	- Added support for Atheros-based Adapters (PCI ID 168C:0013 and others)
	- Fixed automatic ESSID handling and suspend/resume issues.
	- modules/GPL/kcompat.h: don't provide free_netdev if HAVE_FREE_NETDEV.
	- Restructured INF parser.
	- Updated FAQ.
	- Added pre-built binary packages for Mandrake 9.2 and SuSE 9.0.
	- Numerous other improvements.

* Mon Oct 13 2003 -
	- Released bcmwl5driverloader-1.05.

* Mon Oct 13 2003 -
	- BUGS: Added note about transmit issue with some 802.11b 4301 chips, which
	should be fixed soon.

* Sat Oct 11 2003 -
	- Released bcmwl5driverloader-1.04.

* Sat Oct 11 2003 -
	- modules/GPL/netndis.c: disable WEP if not supported by card.

* Sat Oct 11 2003 -
	- Released bcmwl5driverloader-1.03.

* Sat Oct 11 2003 -
	- Added NdisTerminateWrapper().

* Sat Oct 11 2003 -
	- Released bcmwl5driverloader-1.02.

* Sat Oct 11 2003 -
	- bcmwl5/dldrpci_tbl.h, README: Added other PCI devices known to
	Broadcom's BCMWL5 driver (4301, 4307, 4325, 4321, 4324, 4311).

* Fri Oct 10 2003 -
	- Released bcmwl5driverloader-1.01.

* Fri Oct 10 2003 -
	- Silenced a few benign messages, clarified webconf help text and solved
	refresh issue when configuring without the device being present.

* Fri Oct 10 2003 -
	- Initial release (bcmwl5driverloader-1.00).
